
(if (not (file-exists-p "/usr/share/emacs/site-lisp/remem.elc"))
    (message "Package remembrance-agent removed but not purged.  Skipping setup.")
    (autoload 'remem "remem" "Remembrance Agent" t)

;; *********************** NOTE ********************
;; This is automatically managed by dpkg-reconfigure
;; and configured on installation by the postinst script.
;; If you change it and reconfigure the package it might
;; be overwritten.
  (setq remem-database-dir "~/RA-indexes/")
;; *********************** NOTE ********************

;; Which scopes to show?
;; Currently set to nil but *should* be configured
;; (setq remem-display-scope-databases nil nil nil)

;; The scopes list...  This is a list in the form:
;;
;;  (scope1 scope2 scope3 ...)
;;
;; Where scope is of the form:
;;
;;  (DIRN NUM-LINES UPDATE-TIME QUERY-RANGE)
;;
;; DIRN is the subdirectory of remem-database-dir with the desired database
;;             This is the name of a sub-directory in remem-database-dir
;; NUM-LINES is the number of lines that you want the scope to return (initially)
;; UPDATE-TIME is the time between scope updates (in seconds)
;; QUERY-RANGE number of lines around point that you want the scope to query on
;; This should be probably be setup per-user in his .emacs file
;;
;; Sample
;; (setq remem-scopes-list '(("mail" 6 5 500) ("notes" 2 5 500)))
;;
;; Debian default
   (setq remem-scopes-list '(("" 6 5 500)) )

)
